
cc.Class({
    extends: cc.Component,

    properties: {
        figure: sp.Skeleton,  //人物形象
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        this.node.on('touchend', () => {
            this.figure.setAnimation(0, 'click', false);
            this.figure.setCompleteListener(() => {
                this.figure.setAnimation(0, 'stand', true);
            });
        }, this);
    },

    start () {

    },

    // update (dt) {},
});
